<?php

declare(strict_types=1);

namespace App\Controller\PreguntasFrecuentes;

use App\Service\PreguntasFrecuentesService;
use Pimple\Psr11\Container;

abstract class Base
{
    protected Container $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function getPreguntasFrecuentesService(): PreguntasFrecuentesService
    {
        return $this->container->get('PreguntasFrecuentes_service');
    }
}
